Skip to content

Statistics and logs

All operations require authentication.

16 operationsv1/hosting/web
Agent setup

List own logsProduction

GET
/1.0/hosting/web/{serviceName}/ownLogs

List own logs. Returns the IDs of the own logs of the hosting, which separate the logs and statistics of a domain. Filter them by FQDN.

Path parameters

serviceName
required
string

The internal name of your hosting

Query parameters

fqdn
string

Filter the value of fqdn property (like)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ownLogs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get own logsProduction

GET
/1.0/hosting/web/{serviceName}/ownLogs/{id}

Get own logs. Returns the FQDN, logs URL, statistics URL and status of the own logs, which separate the logs and statistics of a domain.

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your hosting

Response

200ownLogssuccessful operation
fqdn
read-only
string

The ownlogs fqdn available on logs.clusterXX.hosting.ovh.net

id
read-only
integer

Identifier of this ownLogs

logs
read-only
string

URL to access this ownLogs logs

stats
read-only
string

URL to access this ownLogs stats

status
read-only
StatusEnum

Status of this ownLogs

Valuescreatedcreatingdeleting
taskId
read-only
integer

The task ID working on this ownLogs

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ownLogs/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "fqdn": "string", "id": 0, "logs": "string", "stats": "string", "status": "created", "taskId": 0}

List log usersProduction

GET
/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs

List log users. Returns the logins of the users allowed to access the logs interface. Filter them by login.

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your hosting

Query parameters

login
string

Filter the value of login property (like)

Response

200string[]successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a log userProduction

GET
/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login}

Get a log user. Returns the login, description, status and creation date of the log user, and the own logs it can access.

Path parameters

id
required
integer

Id of the object

login
required
string

The userLogs login used to connect to logs.ovh.net

serviceName
required
string

The internal name of your hosting

Response

200userLogssuccessful operation
creationDate
read-only
stringdate-time

Date of the user creation

description
string

Description field for you

login
read-only
string

The userLogs login used to connect to logs.ovh.net

ownLogsId
read-only
integer

OwnLogs where this userLogs will be enable. Default : main domain ownlogs

status
read-only
StatusEnum

Status of this userLogs

Valuescreatedcreatingdeletingupdating
taskId
read-only
integer

The task ID working on this userLogs

Example uses id = 0, login = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "login": "string", "ownLogsId": 0, "status": "created", "taskId": 0}

Get statisticsProduction

GET
/1.0/hosting/web/{serviceName}/statistics

Get statistics. Returns one statistic of the hosting over a period: HTTP hits, mean response time, FTP commands, outgoing TCP connections, CPU usage or worker overload.

Path parameters

serviceName
required
string

The internal name of your hosting

Query parameters

period
required
StatisticsPeriodEnum

Available periods for statistics

Valuesdailymonthlyweeklyyearly
type
required
StatisticsTypeEnum

Types of statistics available for the web hosting

Valuesin.ftpCommandsin.httpHitsin.httpMeanResponseTimeout.tcpConnsys.cpuUsagesys.workerSpawnOverload

Response

200ChartTimestampValue[]successful operation
serieName
string
—
unit
string
—
values
ChartTimestampValue[]
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/statistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "serieName": "string", "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ] }]

List log usersDeprecated

GET
/1.0/hosting/web/{serviceName}/userLogs

Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs instead.

List log users. Returns the logins of the users allowed to access the logs interface. Filter them by login.

Path parameters

serviceName
required
string

The internal name of your hosting

Query parameters

login
string

Filter the value of login property (like)

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/userLogs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a log userDeprecated

GET
/1.0/hosting/web/{serviceName}/userLogs/{login}

Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} instead.

Get a log user. Returns the login, description, status and creation date of the log user, and the own logs it can access.

Path parameters

login
required
string

The userLogs login used to connect to logs.ovh.net

serviceName
required
string

The internal name of your hosting

Response

200userLogssuccessful operation
creationDate
read-only
stringdate-time

Date of the user creation

description
string

Description field for you

login
read-only
string

The userLogs login used to connect to logs.ovh.net

ownLogsId
read-only
integer

OwnLogs where this userLogs will be enable. Default : main domain ownlogs

status
read-only
StatusEnum

Status of this userLogs

Valuescreatedcreatingdeletingupdating
taskId
read-only
integer

The task ID working on this userLogs

Example uses login = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/userLogs/{login} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "login": "string", "ownLogsId": 0, "status": "created", "taskId": 0}

Get a logs interface tokenProduction

GET
/1.0/hosting/web/{serviceName}/userLogsToken

Get a logs interface token. Returns a temporary token to access the logs interface. Set its lifetime in seconds with ttl, its scope with attachedDomain, and remoteCheck to limit it to the caller IP.

Path parameters

serviceName
required
string

The internal name of your hosting

Query parameters

attachedDomain
string

Specific attached domain to be included in the scope of your token

remoteCheck
boolean

Whether to limit the use of the token to the remote IPv4 of API caller

ttl
integer

Expiration of your token (in seconds)

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/userLogsToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Create a log userProduction

POST
/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs

Create a log user. Creates a user allowed to access the logs interface. Without ownLogsId, the user accesses the logs of the main domain.

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your hosting

Request body (required)

description
required
string

Description field for you

login
required
string

The userLogs login used to connect to logs.ovh.net

ownLogsId
integer

OwnLogs where this userLogs will be enable. Default : main domain ownlogs

password
required
stringpassword

The new userLogs password

Response

200stringsuccessful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Change a log user passwordProduction

POST
/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login}/changePassword

Change a log user password. Changes the password the log user enters to access the logs interface at logs.ovh.net.

Path parameters

id
required
integer

Id of the object

login
required
string

The userLogs login used to connect to logs.ovh.net

serviceName
required
string

The internal name of your hosting

Request body (required)

password
required
stringpassword

The new userLogs password

Response

200stringsuccessful operation

Example uses id = 0, login = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Create a log userDeprecated

POST
/1.0/hosting/web/{serviceName}/userLogs

Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs instead.

Create a log user. Creates a user allowed to access the logs interface. Without ownLogsId, the user accesses the logs of the main domain.

Path parameters

serviceName
required
string

The internal name of your hosting

Request body (required)

description
required
string

Description field for you

login
required
string

The userLogs login used to connect to logs.ovh.net

ownLogsId
integer

OwnLogs where this userLogs will be enable. Default : main domain ownlogs

password
required
stringpassword

The new userLogs password

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/userLogs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Change a log user passwordDeprecated

POST
/1.0/hosting/web/{serviceName}/userLogs/{login}/changePassword

Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} instead.

Change a log user password. Changes the password the log user enters to access the logs interface at logs.ovh.net.

Path parameters

login
required
string

The userLogs login used to connect to logs.ovh.net

serviceName
required
string

The internal name of your hosting

Request body (required)

password
required
stringpassword

The new userLogs password

Response

200stringsuccessful operation

Example uses login = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/userLogs/{login}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a log userProduction

DELETE
/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login}

Delete a log user. Deletes the log user, who can no longer access the logs interface at logs.ovh.net with its login.

Path parameters

id
required
integer

Id of the object

login
required
string

The userLogs login used to connect to logs.ovh.net

serviceName
required
string

The internal name of your hosting

Response

200stringsuccessful operation

Example uses id = 0, login = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a log userDeprecated

DELETE
/1.0/hosting/web/{serviceName}/userLogs/{login}

Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} instead.

Delete a log user. Deletes the log user, who can no longer access the logs interface at logs.ovh.net with its login.

Path parameters

login
required
string

The userLogs login used to connect to logs.ovh.net

serviceName
required
string

The internal name of your hosting

Response

200stringsuccessful operation

Example uses login = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/userLogs/{login} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Update a log userProduction

PUT
/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login}

Update a log user. Updates the description of the log user. The login and the own logs it can access cannot be changed.

Path parameters

id
required
integer

Id of the object

login
required
string

The userLogs login used to connect to logs.ovh.net

serviceName
required
string

The internal name of your hosting

Request body (required)

creationDate
read-only
stringdate-time

Date of the user creation

description
string

Description field for you

login
read-only
string

The userLogs login used to connect to logs.ovh.net

ownLogsId
read-only
integer

OwnLogs where this userLogs will be enable. Default : main domain ownlogs

status
read-only
StatusEnum

Status of this userLogs

Valuescreatedcreatingdeletingupdating
taskId
read-only
integer

The task ID working on this userLogs

Response

200—successful operation

Example uses id = 0, login = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a log userDeprecated

PUT
/1.0/hosting/web/{serviceName}/userLogs/{login}

Deprecated since Nov 2, 2023, will be removed on Feb 29, 2024 — use /hosting/web/{serviceName}/ownLogs/{id}/userLogs/{login} instead.

Update a log user. Updates the description of the log user. The login and the own logs it can access cannot be changed.

Path parameters

login
required
string

The userLogs login used to connect to logs.ovh.net

serviceName
required
string

The internal name of your hosting

Request body (required)

creationDate
read-only
stringdate-time

Date of the user creation

description
string

Description field for you

login
read-only
string

The userLogs login used to connect to logs.ovh.net

ownLogsId
read-only
integer

OwnLogs where this userLogs will be enable. Default : main domain ownlogs

status
read-only
StatusEnum

Status of this userLogs

Valuescreatedcreatingdeletingupdating
taskId
read-only
integer

The task ID working on this userLogs

Response

200—successful operation

Example uses login = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/userLogs/{login} \
  -H "authorization: Bearer $OVH_TOKEN"